<!DOCTYPE html>
<html>
    <head>
        <title> This is maths assignment </title>
    </head>
    <body>
        <script>
            console.log("hello HTML")
            //addition of values
            function sum() 
            {
                var val1 = parseInt(document.getElementById('a').value);
                    if(isNaN(val1)){ val1=0 ;}
                var val2 = parseInt(document.getElementById('b').value);
                    if(isNaN(val2)){ val2=0 ;}
                    
                document.getElementById('output').innerHTML = val1+val2;
                

            }
            //multiplication of values
            function mul(val1, val2){
                console.log( val1*val2) ;

            }

        </script>
        <h1> Maths assignment</h1>
        <form>
            <input id="a" type="number" name="" placeholder="enter first value">
            <input id="b" type="number" name="" placeholder="enter another value">

            <br><br>
            <button onclick="sum()"> SUM </button>
        
            <label id="output"></label>

            <input  type="button" onclick="mul(7,8)" value="MUL"> 

        </form>
    </body>

</html>